PLM之家 UG NX10.0二次开发(ufun和NXOpen C++)网络培训火热报名

PLM之家-上海点团信息科技有限公司工业4.0数字化软件官方知识管理平台

查看: 9322|回复: 86

[原创视频] PLM之家-NX9.0 二次开发实例视频33 NXOpen C++创建旋转特征

  [复制链接]
  • TA的每日心情

    昨天 13:24
  • 签到天数: 52 天

    [LV.5]常住居民I

    1683

    主题

    3250

    帖子

    5万

    积分

    管理员

    PLM之家mildcat

    Rank: 9Rank: 9Rank: 9

    积分
    54546
    发表于 2014-2-27 21:06:17 | 显示全部楼层 |阅读模式
    PLM之家-NX9.0 二次开发实例视频33 NXOpen C++创建旋转特征

    旋转草图

    旋转草图


    内容:
    通过草图创建旋转操作
    目的:

    在NX中,使用NXOpen C++可以很方便的进行JA的录制,草图的旋转可以通过JA生成代码,此处旋转草图的轴通过界面选取,可以设置旋转的角度。代码需要显式设定公差选项SetTolerance(0.001)


    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(1)创建项目
    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(2)代码分析
    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(3)截面代码定义
    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(4)UI关联


    关键代码分享:


    void lesson33_createRevolve::createRevolve(SkeTCh *sketch)
    {
    Features::Feature *nullFeatures_Feature(NULL);

        Features::RevolveBuilder *revolveBuilder1;
        revolveBuilder1 = workPart->Features()->CreateRevolveBuilder(nullFeatures_Feature);
    revolveBuilder1->SetTolerance(0.001);
        Section *section1;
        section1 = workPart->Sections()->CreateSection(0.00095, 0.001, 0.05);
        revolveBuilder1->SetSection(section1);
        std::vector<Features::Feature *> features1(1);
    features1[0] = sketch->Feature();
        CurveFeatureRule *curveFeatureRule1;
        curveFeatureRule1 = workPart->ScRuleFactory()->CreateRuleCurveFeature(features1);
        std::vector<SelectionIntentRule *> rules1(1);
        rules1[0] = curveFeatureRule1;
        NXObject *nullNXObject(NULL);
        Point3d helpPoint1(0, 0, 0);
        section1->AddToSection(rules1, nullNXObject, nullNXObject, nullNXObject, helpPoint1, Section::ModeCreate, false);
        revolveBuilder1->SetSection(section1);
    // get UI value
    vector<TaggedObject*> selectedObjects = this->axis0->GetProperties()->GetTaggedObjectVector("SelectedObjects");
    Axis *axis1 = dynamic_cast<Axis *>(selectedObjects[0]);
    revolveBuilder1->SetAxis(axis1);
    double startValue = this->expStartAngle->GetProperties()->GetDouble("Value");
    double endValue = this->expStartAngle1->GetProperties()->GetDouble("Value");
    stringstream s_startValue,s_endValue;
    s_startValue <<startValue;
    s_endValue <<endValue;
    revolveBuilder1->Limits()->StartExtend()->Value()->SetRightHandSide(s_startValue.str());
    revolveBuilder1->Limits()->EndExtend()->Value()->SetRightHandSide(s_endValue.str());
        Features::Feature *feature1;
        feature1 = revolveBuilder1->CommitFeature();
    revolveBuilder1->Destroy();
    section1->Destroy();
    }









    PLM之家,专业的NX,Teamcenter学习视频网。PLM之家科技,承接二次开发,视频定制,实施培训等业务。www.plmhome.com; && www.plmhome.net-->-->点团信息科技-->-->欢迎联系我们--QQ 939801026
    回复

    使用道具 举报

  • TA的每日心情

    昨天 13:24
  • 签到天数: 52 天

    [LV.5]常住居民I

    1683

    主题

    3250

    帖子

    5万

    积分

    管理员

    PLM之家mildcat

    Rank: 9Rank: 9Rank: 9

    积分
    54546
     楼主| 发表于 2014-2-27 21:06:24 | 显示全部楼层

    Updated!!!



    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(1)创建项目

    游客,如果您要查看本帖隐藏内容请回复

    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(2)代码分析

    游客,如果您要查看本帖隐藏内容请回复
    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(3)截面代码定义
    游客,如果您要查看本帖隐藏内容请回复

    PLM之家-NX9.0二次开发实例33 NXOpen C++创建旋转草图(4)UI关联
    游客,如果您要查看本帖隐藏内容请回复



    PLM之家,专业的NX,Teamcenter学习视频网。PLM之家科技,承接二次开发,视频定制,实施培训等业务。www.plmhome.com; && www.plmhome.net-->-->点团信息科技-->-->欢迎联系我们--QQ 939801026
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    12

    帖子

    45

    积分

    新手上路

    Rank: 1

    积分
    45
    发表于 2014-3-17 20:19:51 | 显示全部楼层
    看看想想,学习学习
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    5

    帖子

    20

    积分

    新手上路

    Rank: 1

    积分
    20
    发表于 2014-4-13 12:43:38 | 显示全部楼层
    好好学习天天向上
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    6

    主题

    47

    帖子

    185

    积分

    注册会员

    Rank: 2

    积分
    185
    发表于 2014-4-21 11:34:03 | 显示全部楼层
    谢谢老大了,学习了!
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    11

    主题

    70

    帖子

    376

    积分

    中级会员

    Rank: 3Rank: 3

    积分
    376
    发表于 2014-4-22 10:51:19 | 显示全部楼层
    在找35的视频....
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    74

    帖子

    269

    积分

    中级会员

    Rank: 3Rank: 3

    积分
    269
    发表于 2014-4-23 19:20:24 | 显示全部楼层
    好视频,顶起来
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    57

    帖子

    210

    积分

    中级会员

    Rank: 3Rank: 3

    积分
    210
    发表于 2014-5-5 18:55:37 | 显示全部楼层
    正在学习中,谢谢。
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | QQ关联注册

    本版积分规则

    关闭

    站长推荐 上一条 /1 下一条

    <

    QQ|小黑屋|手机版|Archiver|PLM之家-NX|Catia|Teamcenter|Tecnomatix数字化软件学习网 ( 沪ICP备13003373-3

    GMT+8, 2017-10-17 10:27 , Processed in 0.147585 second(s), 38 queries .

    Powered by PLM之家科技! X3.2

    © 2001-2013 PLMHome Inc.

    快速回复 返回顶部 返回列表